use JMCB_graph.dta, clear

*Sovereign  debt  holdings  by  security  valuation method
graph bar (mean) ndp_ac_euratio ndp_fv_euratio , over(period, relabel(1 "Dec 2011" 2 "Jun 2012" 3 "Dec 2012" 4 "Jun 2013" 5 "Dec 2013" 6 "Dec 2014" 7 "Jun 2015" 8 "Dec 2015")) ///
bar(1, fcolor("224 236 244")) bar(2, fcolor("136 86 167")) stack scheme(s1mono) ///
legend(label(2 "Fair valued") label(1 "Valued at amortized cost")) ytitle("Share in %")  ylabel(, nogrid)


*Fair valued sovereign debt holdings by accounting class
graph bar (mean) ndp_afs_eufvratio  ndp_hft_eufvratio ndp_fvobb_eufvratio , over(period, relabel(1 "Dec 2011" 2 "Jun 2012" 3 "Dec 2012" 4 "Jun 2013" 5 "Dec 2013" 6 "Dec 2014" 7 "Jun 2015" 8 "Dec 2015")) ///
bar(1, fcolor("224 236 244")) bar(2, fcolor("158 188 218")) bar(3, fcolor("136 86 167")) scheme(s1mono) stack ///
legend(label(1 "AfS") label(2 "HfT") label(3 "dFV") rows(1)) ytitle("Share in %")  ylabel(, nogrid)


